package models

type Illness struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	IllnessName string `gorm:"column:illness_name" json:"illness_name" form:"illness_name"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (Illness) TableName() string {
	return "sgj_user_illness"
}

type CustomerIllness struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	CustomerId  int64 `gorm:"column:customer_id" json:"customer_id" form:"customer_id"`
	IllnessId   int64 `gorm:"column:illness_id" json:"illness_id" form:"illness_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	UserOrgId   int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (Illness) CustomerIllness() string {
	return "sgj_user_customer_illness"
}
