package models

type UserCustomer struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId          int64  `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Mobile          string `gorm:"column:mobile" json:"mobile" form:"mobile"`
	Name            string `gorm:"column:name" json:"name" form:"name"`
	Gender          int64  `gorm:"column:gender" json:"gender" form:"gender"`
	ProvinceId      int64  `gorm:"column:province_id" json:"province_id" form:"province_id"`
	CityId          int64  `gorm:"column:city_id" json:"city_id" form:"city_id"`
	Address         string `gorm:"column:address" json:"address" form:"address"`
	Birthday        int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	TreatType       int64  `gorm:"column:treat_type" json:"treat_type" form:"treat_type"`
	Relationship    int64  `gorm:"column:relationship" json:"relationship" form:"relationship"`
	IllnessId       int64  `gorm:"column:illness_id" json:"illness_id" form:"illness_id"`
	WechatOpenid    string `gorm:"column:wechat_openid" json:"wechat_openid" form:"wechat_openid"`
	Membership      int64  `gorm:"column:membership" json:"membership" form:"membership"`
	Sources         int64  `gorm:"column:sources" json:"sources" form:"sources"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Avatar          string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	WechatUnionid   string `gorm:"column:wechat_unionid" json:"wechat_unionid" form:"wechat_unionid"`
	Remark          string `gorm:"column:remark" json:"remark" form:"remark"`
	MedicalDiagnose string `gorm:"column:medical_diagnose" json:"medical_diagnose" form:"medical_diagnose"`
	YzUid           int64  `gorm:"column:yz_uid" json:"yz_uid" form:"yz_uid"`
	Tttime          int64  `gorm:"column:tttime" json:"tttime" form:"tttime"`
	IllDate         int64  `gorm:"column:ill_date" json:"ill_date" form:"ill_date"`
	DistrictId      int64  `gorm:"column:district_id" json:"district_id" form:"district_id"`
}

func (UserCustomer) TableName() string {
	return "sgj_user_customer"
}
