package marketing_tool

type ActivityForm struct {
	ID             int64  `json:"id"`
	Title          string `json:"title"`
	Subtitle       string `json:"subtitle"`
	PosterPhoto    string `json:"poster_photo"`
	Address        string `json:"address"`
	LimitNum       int    `json:"limit_num"`
	SignUpDeadline string `json:"sign_up_deadline"`
	StartTime      string `json:"start_time"`
	PhoneNumber    string `json:"phone_number"`
	SignUpNotice   string `json:"sign_up_notice"`

	Paragraph struct {
		Title   string `json:"title"`
		Content string `json:"content"`
	} `json:"paragraph"`
}
