package models

type OrgFans struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId      int64  `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Mobile      string `gorm:"column:mobile" json:"mobile" form:"mobile"`
	Name        string `gorm:"column:name" json:"name" form:"name"`
	Gender      int64  `gorm:"column:gender" json:"gender" form:"gender"`
	ProvinceId  int64  `gorm:"column:province_id" json:"province_id" form:"province_id"`
	CityId      int64  `gorm:"column:city_id" json:"city_id" form:"city_id"`
	Address     string `gorm:"column:address" json:"address" form:"address"`
	Birthday    int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	Openid      string `gorm:"column:openid" json:"openid" form:"openid"`
	Sources     int64  `gorm:"column:sources" json:"sources" form:"sources"`
	Avatar      string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	Unionid     string `gorm:"column:unionid" json:"unionid" form:"unionid"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Ttid        int64  `gorm:"column:ttid" json:"ttid" form:"ttid"`
	Tuid        int64  `gorm:"column:tuid" json:"tuid" form:"tuid"`
	Taid        int64  `gorm:"column:taid" json:"taid" form:"taid"`
	Ttype       int64  `gorm:"column:ttype" json:"ttype" form:"ttype"`
}

func (Org) OrgFans() string {
	return "sgj_user_org_fans"
}
