package models

type User struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	Password        string `gorm:"column:password" json:"password" form:"password"`
	Mobile          string `gorm:"column:mobile" json:"mobile" form:"mobile"`
	Username        string `gorm:"column:username" json:"username" form:"username"`
	Remarkname      string `gorm:"column:remarkname" json:"remarkname" form:"remarkname"`
	Realname        string `gorm:"column:realname" json:"realname" form:"realname"`
	Introduce       string `gorm:"column:introduce" json:"introduce" form:"introduce"`
	Avatar          string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	AvatarThumb     string `gorm:"column:avatar_thumb" json:"avatar_thumb" form:"avatar_thumb"`
	Gender          int64  `gorm:"column:gender" json:"gender" form:"gender"`
	ReceivingPhone  string `gorm:"column:receiving_phone" json:"receiving_phone" form:"receiving_phone"`
	ProvinceId      int64  `gorm:"column:province_id" json:"province_id" form:"province_id"`
	CityId          int64  `gorm:"column:city_id" json:"city_id" form:"city_id"`
	DistrictId      int64  `gorm:"column:district_id" json:"district_id" form:"district_id"`
	Birthday        int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	Address         string `gorm:"column:address" json:"address" form:"address"`
	Recipient       string `gorm:"column:recipient" json:"recipient" form:"recipient"`
	TreatType       int64  `gorm:"column:treat_type" json:"treat_type" form:"treat_type"`
	Token           string `gorm:"column:token" json:"token" form:"token"`
	Imei            string `gorm:"column:imei" json:"imei" form:"imei"`
	Relationship    int64  `gorm:"column:relationship" json:"relationship" form:"relationship"`
	Platform        string `gorm:"column:platform" json:"platform" form:"platform"`
	IllnessId       int64  `gorm:"column:illness_id" json:"illness_id" form:"illness_id"`
	Sources         int64  `gorm:"column:sources" json:"sources" form:"sources"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	WechatOpenid    string `gorm:"column:wechat_openid" json:"wechat_openid" form:"wechat_openid"`
	MedicalDiagnose string `gorm:"column:medical_diagnose" json:"medical_diagnose" form:"medical_diagnose"`
}

func (User) TableName() string {
	return "sgj_user_user"
}

type SgjUserStaffInfo struct {
	ID int64 `gorm:"column:id" json:"id" form:"id"`
	Name string `gorm:"column:name" json:"name" form:"name"`
	Phone string `gorm:"column:phone" json:"phone" form:"phone"`
	Birthday int64 `gorm:"column:birthday" json:"birthday" form:"birthday"`
	Gender int64 `gorm:"column:gender" json:"gender" form:"gender"`
	UserType int64 `gorm:"column:user_type" json:"user_type" form:"user_type"`
	UserTitle int64 `gorm:"column:user_title" json:"user_title" form:"user_title"`
	Dochead string `gorm:"column:dochead" json:"dochead" form:"dochead"`
	Content string `gorm:"column:content" json:"content" form:"content"`
	Ctime int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status int64 `gorm:"column:status" json:"status" form:"status"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (SgjUserStaffInfo) TableName() string{
	return "sgj_user_staff_info"
}