package models

type UserTags struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	TagName     string `gorm:"column:tag_name" json:"tag_name" form:"tag_name"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (UserTags) TableName() string {
	return "sgj_user_tags"
}

type UserTagLinks struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	TagId       int64 `gorm:"column:tag_id" json:"tag_id" form:"tag_id"`
	UserLinkId  int64 `gorm:"column:user_link_id" json:"user_link_id" form:"user_link_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	UserOrgId   int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (UserTagLinks) TableName() string {
	return "sgj_user_tag_links"
}
