package member_service

import (
	"SCRM/models"
	"SCRM/service"
)

func GetIllnessList() (ills []*models.Illness, err error) {
	err = service.UserReadDB().Where("status=1").Find(&ills).Error
	return
}

func GetMemberAllIllnessByIllIDs(orgID, customerID int64, ids []int64) (ills []*CustomerIllness, err error) {
	err = service.UserReadDB().Where("user_org_id = ? and customer_id =? and illness_id IN (?) ", orgID, customerID, ids).Find(&ills).Error
	return
}

//GetMemberAllIllness 取所有(包括已经软删除的记录)
func GetMemberAllIllness(orgID, customerID int64) (ills []*CustomerIllness, err error) {
	err = service.UserReadDB().Where("user_org_id = ? and customer_id =? ", orgID, customerID).Find(&ills).Error
	return
}
